<cfinclude template = "../queries/qryCompanyInfo.cfm">
<div>
<!---First get this customer's info from the database--->
<cfif ISDEFINED('url.customerID')>
<cfif LISTLEN(url.CustomerID) IS 1>

<cfquery name = "qryCustomers" datasource = "#Request.DSN#">
SELECT * FROM CustomerHistory
WHERE CustomerID = #URL.CustomerID#
</cfquery>

<cfquery name = "QryOrders" datasource = "#Request.DSN#">
SELECT * FROM Orders
WHERE OrderNumber = '#url.OrderNumber#'
</cfquery>

<cfset TheOrderNumber = #url.OrderNumber#>
</cfif>

<cfif NOT LISTLEN(url.CustomerID) IS 1>
<cfset ThisCustomerID = #ListGetAt(url.customerID, 1)#>

<cfquery name = "qryCustomers" datasource = "#Request.DSN#">
SELECT * FROM CustomerHistory
WHERE CustomerID = #ThisCustomerID#
</cfquery>

<cfquery name = "QryOrders" datasource = "#Request.DSN#">
SELECT * FROM Orders
WHERE OrderNumber = '#URL.OrderNumber#'
</cfquery>

<cfset TheOrderNumber = #url.OrderNumber#>
</cfif>
</cfif>

<cfif ISDEFINED('form.customerID')>
<cfquery name = "qryCustomers" datasource = "#Request.DSN#">
SELECT * FROM CustomerHistory
WHERE CustomerID = #form.CustomerID#
</cfquery>

<cfquery name = "QryOrders" datasource = "#Request.DSN#">
SELECT * FROM Orders
WHERE OrderNumber = '#form.OrderNumber#'
</cfquery>

<cfset TheOrderNumber = #form.OrderNumber#>
</cfif>


<cfif NOT ISDEFINED('url.CustomerID') AND NOT ISDEFINED('form.CustomerID')>
<strong><center><h4>Thank you for you order!</h4></center></strong>
<p>
<center>You can login to your account on the main website to view details of this order</center></p>
<p>
<cfset tempvariable = StructClear(session)>
<p align="left">&nbsp;</p>
<center><cfoutput><a href="#CartVar.CatalogURL#"></cfoutput><b>
Back to the Catalog</b></a></center>
<cfabort>
</cfif>

<div align = "center">
  <b><h3><font color="#000000">Thank you for your order!</font></h3></b> 
</div>



<cfoutput query="QryOrders">
<!---Now display what was ordered--->
<blockquote> 
      <p><b>Order Summary:</b></p>
      </blockquote>
    <div align="center"> 
      <center>
        <table width="90%" border="1" cellspacing="0" cellpadding="3" style="border-collapse: collapse" bordercolor="##111111">
          <tr class="TableTitles"> 
            <td width="50%" height="19" style="border-color:##000000; border-width:1; " > 
              <b>Name</b></td>
            <td width="25%" height="19" style="border-color:##000000; border-width:1; " ><p align="center"> 
                <b>Quantity</b></p></td>
            <td width="25%" height="19" align="center" style="border-color:##000000; border-width:1; " > 
              <b>Price</b></td>
          </tr>
          <cfloop index="IndexCount" from="1" To="#ListLen(CrtProductID, "^")#">
             <tr> 
                <td width="50%" style="border-color:##000000; border-width:1; " valign="middle">
					#ListGetAt(CrtProductName, IndexCount, "^")#</td>
                <td width="25%" style="border-color:##000000; border-width:1; " valign="middle"> 
                  <p align="center"> #ListGetAt(CrtQuantity, IndexCount, "^")#</p></td>
                <td width="25%" align="right" style="border-color:##000000; border-width:1; "> 
					<cfset TotalOfItems = #ListGetAt(CrtPrice, IndexCount, "^")#>
					<cfif CartVar.UseEuro IS 'Yes'>
                    <div align="right">#lseurocurrencyformat(TotalOfItems, "Local")# 
                      <cfelse>
                      #lscurrencyformat(TotalOfItems, "Local")#</div>
                  </cfif></td>
              </tr>
          </cfloop>
          </tr>
          <tr> 
            <td height="15" colspan="2" style="border-style: none"><div align="right">Taxes:</div></td>
            <td height="15" align="right" style="border-color:##000000; border-width:1; "><strong>
				<cfif CartVar.UseEuro IS 'Yes'>#LSEuroCurrencyformat(FiguredTax, "Local")#
				<cfelse>#LSCurrencyformat(FiguredTax, "Local")#</cfif>
			</td>
          </tr>
          <tr> 
            <td width="88%" height="15" colspan="2" style="border-style: none"> 
              <p align="right">Shipping &amp; Handling: </td>
            <td width="20%" height="15" align="right" style="border-color:##000000; border-width:1; ">
				<cfif CartVar.UseEuro IS 'Yes'>#LSEuroCurrencyformat(QuotedShipping, "Local")#
				<cfelse>#LSCurrencyformat(QuotedShipping, "Local")#</cfif>
			</td>
          </tr>
          <tr> 
            <td width="88%" height="15" colspan="2" style="border-style: none"> 
              <p align="right"><b>Total:</b></p></td>
            <td width="20%" height="15" align="right" style="border-color:##000000; border-width:1; "><b> 
                <cfif CartVar.UseEuro IS 'Yes'>
                  #lseurocurrencyformat(OrderTotal, "Local")# 
                  <cfelse>
                  #lscurrencyformat(OrderTotal, "Local")# 
                </cfif>
                </b></td>
          </tr>
        </table>
      </center>
    </div>
<cfset ThePaymentMethod = #PaymentMethod#>
</cfoutput>
<p>
<cfoutput query = "qryCustomers">
<table width="90%" border="1" align="center" cellpadding="4" cellspacing="0">
  <tr>
    <td height="15" colspan="2" Class="TableTitles"><strong>Billing Information</strong></td>
    <td height="15" valign="top" Class="TableTitles"><strong>Ship Order To:</strong></td>
  </tr>
  <tr> 
    <td height="15" colspan="2">#FirstName# #LastName#<br>
		#BusinessName#
		#address#<br>
        #city#, #State# &nbsp;&nbsp; #ZipCode#<br>
        #Country#<br>
		<p>
		<b>Email Address:</b> #EmailAddress#<br>
        <b> Phone Number:</b> #PhoneNumber# <br>
        </p>
        <p>&nbsp; </p>
      	</td>
    <td width="48%" height="15" valign="top">
	#ShipFirstName# #ShipLastName#<br>
	#ShipBusinessName#
	 #ShipAddress#<br>
        #ShipCity#, #shipstate# &nbsp;&nbsp; #ShipZip#<br>
        #ShipCountry#</td>
  </tr>
</table>

<cfset CustomerEmail = '#EmailAddress#'>

</cfoutput>

<blockquote>
<cfif ThePaymentMethod IS 'CheckOrMoneyOrder'>
<p align="left">
You have selected to pay by check or money order.  Your order will not ship until we receive payment.
Please send your payment to:
</p>
<cfoutput query = "qryCompanyInfo">
<p align="left">
#CompanyName#<br>
#Address#<br>
#City#, #State#  #Zip#
</p></cfoutput>

<p align="left">
For faster delivery, please write your Order Number on the check or money order!
</p>
</cfif>

<h4 align="center">
  <div align="left"><b><cfoutput>Your Order number is #TheOrderNumber#</b> </h3> </div>
  <p align="left"><b>IMPORTANT: Write your Order number down exactly <br>
    how it appears above and do NOT lose it. You can use it to reference your 
    order later.</cfoutput></b> 
    <p align="left"> <cfoutput query="qryCompanyInfo"> 
        <cfset EmailBody = '#EmailText#'>
    <cfset FinalMessage = '#EndOrderMessage#'>
    <cfset TheCompanyEmail = '#EmailAddress#'>
    <cfset TheHomeURL = '#HomeURL#'>
    <cfset TheMailServer = '#MailServer#'>
	<cfset EndOrderSubject = '#EndOrderSubj#'>
</cfoutput>  
<cfoutput>
<p align="left">
#FinalMessage# 
</p>
</cfoutput>

<cfif not #TheCompanyEmail# IS 0>
<CFMAIL
    FROM="#TheCompanyEmail#"
    TO="#CustomerEmail#"
    SUBJECT="#EndOrderSubject#"
	SERVER="#TheMailServer#">

#EmailBody#

Your Order Number is:  #Theordernumber#

To view your order, login in to our website using your email address and the password you created during
checkout.
</cfmail>
</cfif>

<center>You should print this page for your records</center>

<cfset tempvariable = StructClear(session)>
<p align="left">&nbsp;</p>
<center><cfoutput><a href="#CartVar.CatalogURL#"></cfoutput><b>
Back to the Catalog</b></a></center></blockquote>
<p>&nbsp;</p>
</div>

