<cfinclude template="../queries/qryOrders.cfm">

<div>
<h3 align="center">DELETE ORDERS</h3>

  <p align="center">WARNING! You are about to delete orders. Deleting an order 
    is permanent. </p>

<!---Check to see if there are any records archived that are deletable--->
<CFIF #qryOrders.recordcount# IS 0>
  <p align="center"> <strong>There are no orders to delete at this time.</strong><br>
</cfif>
 
<CFIF NOT #qryOrders.recordcount# IS 0>
  <form action="doOrders.cfm" method="POST">
  
      <table border="0" width="100%">
        <tr bgcolor="#CCCCCC"> 
          <td width="3%" align="left"> <p align="center"></p></td>
          <td width="8%" align="left"><b> <font size="1">Date</font></b></td>
          <td width="12%" align="left"><b> <font size="1">Name</font></b></td>
          <td width="11%" align="left"><b> <font size="1">Order Number </font></b> 
          </td>
          <td width="10%" align="left"><b><font size="1">Phone</font></b></td>
          <td width="11%" align="left"><b> <font size="1">Email</font></b></td>
          <td width="9%" align="left"> <b> <font size="1">Order Total</font></b></td>
        </tr>
        <cfloop query ="qryOrders">
          <!---Find the customer that ordered this--->
          <cfquery name = "qryCustomers" Datasource = "#Request.dsn#">
          SELECT * FROM CustomerHistory WHERE CustomerID = #CustomerID# 
          </cfquery>
          <cfoutput query = "qryCustomers"> 
            <cfset CustName = '#FirstName# #LastName#'>
            <cfset CustCity = '#City#'>
            <cfset CustState = '#State#'>
            <cfset CustPhone = '#PhoneNumber#'>
            <cfset CustEmail = '#EmailAddress#'>
          </cfoutput> <cfoutput> 
            <tr> 
              <td width="3%"> <p align="center"> 
                  <input name="OrderDeleted" type="checkbox" id="OrderDeleted" value="#OrderID#">
                </p></td>
              <td width="8%"><font size="1">#dateformat(DateOfOrder, "mm/dd/yy")#</font></td>
              <td width="12%"><a href="doOrders.cfm?action=vieworder&OrderNumber=#OrderNumber#&CustomerID=#CustomerID#"> 
                <font size="1">#CustName#</font></a></td>
              <td width="11%"><a href="doOrders.cfm?action=vieworder&OrderNumber=#OrderNumber#&CustomerID=#CustomerID#"> 
                <font size="1">#OrderNumber#</font></a></td>
              <td width="10%"><font size="1">#CustPhone#</font></td>
              <td width="11%"><a href="mailto:#CustEmail#"> <font size="1">#CustEmail#</font></a></td>
              <td width="9%"><font size="1"> 
                <cfif cartvar.UseEuro IS 'Yes'>
                  #lseurocurrencyformat(OrderTotal, "Local")# 
                  <cfelse>
                  #lscurrencyformat(OrderTotal, "Local")# 
                </cfif>
                </font></td>
            </tr>
          </cfoutput> 
        </cfloop>
      </table>  <p align="center"> 
        <input type="hidden" value="Delete" Name="Action">
        <input type="submit" value="Delete Orders" name="B1">
      </p>
    </form>
</cfif>
</div>